#
# spec file for package python-pytest-forked
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python3-pytest-forked
Version:        1.3.0
Release:        bp156.1.1
Summary:        Run each test in a forked subprocess
License:        MIT
URL:            https://github.com/pytest-dev/pytest-forked
Source:         https://files.pythonhosted.org/packages/source/p/pytest-forked/pytest-forked-%{version}.tar.gz
BuildRequires:  %{python_module pytest >= 3.10}
BuildRequires:  %{python_module setuptools_scm}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python3-pytest >= 3.10
BuildArch:      noarch
%python_subpackages

%description
Extraction of pytest-xdist --forked module used for running tests in forked subprocess

%prep
%setup -q -n pytest-forked-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%license LICENSE
%doc README.rst CHANGELOG
%{python_sitelib}/*

%changelog
* Fri Aug 21 2020 Marketa Calabkova <mcalabkova@suse.com>
- Update to 1.3.0
  * Add support for pytest 6 (issue #45 / PR #46)
  * Replace `@pytest.mark.tryfirst` with newer `@pytest.hookimpl` (PR #46)
  * Invoke `pytest_runtest_logstart` and `pytest_runtest_logfinish` hooks in `runtest_protocol` (issue #31 / PR #46)
* Mon Jun 29 2020 Marketa Calabkova <mcalabkova@suse.com>
- Update to 1.2.0
  * Add limited support for xfail marker (issue #33 / PR #34).
  * Fix support for pytest 5.4.0+ (issue #30 / PR #32).
  * Drop support for Python 3.4 as it is EOL (PR #39).
- Drop patch pytest5-compat.patch
* Tue May 12 2020 Matej Cepl <mcepl@suse.com>
- Add pytest5-compat.patch to make the test suite compatible
  with pytest 5.4.0+ (gh#pytest-dev/pytest-forked#32)
* Tue Nov  5 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.1.3:
  * New marker `pytest.mark.forked` to fork before individual tests.
* Fri Feb 15 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.0.2:
  * Fix support for pytest 4.2
* Thu Feb 14 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.0.0:
  * Fix support for pytest 4.1.
* Wed Nov 15 2017 mimi.vx@gmail.com
- initial package
